API ReferenceRealtime
Get Realtime Detail For Machine
Get Realtime information by machineIds.
Authorization
bearerAuth user, superuser, admin, superadmin, readonlyAuthorization<token>
In: header
Scope: user, superuser, admin, superadmin, readonly
Path Parameters
machineId*number
The machine's ID.
Format
doubleQuery Parameters
shiftTitle?string
Filter by shift title.
shiftDay?string
Filter by shift day.
Response Body
application/json
Try it live
curl -X GET "https://example.com/machines/realtime/detail/0.1"{ "lastSimpleWorkOrderId": "string", "hasPA": true, "events": [ { "new": { "rawMaterial": { "name": "string", "id": "string" }, "operator": { "imageUrl": "string", "lastName": "string", "firstName": "string", "id": 0.1 }, "sku": { "description": "string", "name": "string", "sku": "string", "id": "string" }, "simpleWorkOrder": { "name": "string", "id": "string" }, "workOrder": { "name": "string", "id": "string" }, "isAutomated": true, "simpleWorkOrderId": "string", "workOrderId": "string", "nominalSpeed": 0, "start": "2019-08-24T14:15:22Z", "id": "string" }, "previous": { "rawMaterial": { "name": "string", "id": "string" }, "operator": { "imageUrl": "string", "lastName": "string", "firstName": "string", "id": 0.1 }, "sku": { "description": "string", "name": "string", "sku": "string", "id": "string" }, "simpleWorkOrder": { "name": "string", "id": "string" }, "workOrder": { "name": "string", "id": "string" }, "isAutomated": true, "simpleWorkOrderId": "string", "workOrderId": "string", "nominalSpeed": 0, "start": "2019-08-24T14:15:22Z", "id": "string" }, "status": "INITIAL", "eventDate": "2019-08-24T14:15:22Z" } ], "skus": [ { "end": "2019-08-24T14:15:22Z", "start": "2019-08-24T14:15:22Z", "unit": "string", "countingFactor": 0.1, "description": "string", "name": "string", "sku": "string", "id": "string" } ], "hasOverlaps": true, "hasAlert": true, "metrics": { "idealSpeedProduction": 0, "idealProduction": 0, "plannedDowntime": 0, "unplannedDowntime": 0, "updatedAt": "2019-08-24T14:15:22Z", "stops": 0, "downtime": 0, "uptime": 0, "produced": 0, "netOee": 0, "oee": 0, "total_oee": 0, "total_performance": 0, "effectiveness": 0, "quality": 0, "netAvailability": 0, "annotation": 0, "availability": 0, "pressureRightPresizeAdjustNut": 0, "pressureLeftPresizeAdjustNut": 0, "temperature": 0, "vibrationAccelerationZ": 0, "vibrationAccelerationY": 0, "vibrationAccelerationX": 0, "vibrationVelocityZ": 0, "vibrationVelocityY": 0, "vibrationVelocityX": 0, "vibrationDisplacementZ": 0, "vibrationDisplacementY": 0, "vibrationDisplacementX": 0, "productCount": 0, "energy": 0, "instantaneousCycleTime": 0, "instantaneousCycleSpeed": 0, "instantaneousCycleCount": 0, "hourByHourPerformance": { "property1": { "performance": 0, "to": "2019-08-24T14:15:22Z", "from": "2019-08-24T14:15:22Z" }, "property2": { "performance": 0, "to": "2019-08-24T14:15:22Z", "from": "2019-08-24T14:15:22Z" } }, "hourByHourTargets": {}, "hourByHourProducts": {}, "hourByHourDefects": {}, "scrap": 0, "total": 0, "defects": 0, "correct": 0, "avg_velocity": 0.1, "instantaneous_velocity": 0.1, "sensors_aggregated_production": 0, "sensors_avg_velocity": 0.1, "sensors_instantaneous_velocity": 0.1, "sensors_oee": 0, "currentMinuteCount": 0, "accumulatedCount": 0 }, "annotation": 0.1, "previousAvailability": 0.1, "targetAvailability": 0.1, "availability": 0.1, "shiftMinutes": 0.1, "notProducingMinutes": 0.1, "producingMinutes": 0.1, "remainingMinutes": 0.1, "unavailableMinutes": 0.1, "working": [ { "end": "2019-08-24T14:15:22Z", "start": "2019-08-24T14:15:22Z" } ], "noData": [ { "end": "2019-08-24T14:15:22Z", "start": "2019-08-24T14:15:22Z" } ], "stops": [ { "stopId": "string", "programmed": "string", "generalCauseName": "string", "specificCauseName": "string", "equipmentName": "string", "numberOfAlerts": 0.1, "hadAlert": true, "classification": { "updatedAt": "2019-08-24T14:15:22Z", "isProgrammed": 0.1, "componentId": "string", "componentName": "string", "machineId": 0.1, "startTime": "2019-08-24T14:15:22Z", "specificCause": "string", "generalCause": "string", "specificCauseId": "string", "generalCauseId": "string", "description": "string", "id": 0 }, "end": "2019-08-24T14:15:22Z", "start": "2019-08-24T14:15:22Z" } ], "previousShift": { "title": "string", "start": "2019-08-24T14:15:22Z", "end": "2019-08-24T14:15:22Z", "id": 0.1 }, "nextShift": { "title": "string", "start": "2019-08-24T14:15:22Z", "end": "2019-08-24T14:15:22Z", "id": 0.1 }, "shift": { "title": "string", "start": "2019-08-24T14:15:22Z", "end": "2019-08-24T14:15:22Z", "id": 0.1 }, "state": "STOPED_WITH_ALERTS", "timezone": "string", "machineOrder": 0.1, "machineName": "string", "isCountEnabled": true, "machineId": 0.1, "nominalSpeed": 0, "productionBySku": {}, "productionPerMinute": {}}